import '@material/web/icon/icon.js';
import { LitElement } from 'lit';
export declare class NotificationItem extends LitElement {
    static styles: import("lit").CSSResult[];
    type?: string;
    notification: any;
    target?: string;
    detail?: {
        message: string;
        [key: string]: any;
    };
    newbie?: boolean;
    render(): import("lit-html").TemplateResult<1>;
    updated(changed: any): void;
    decipherErrorCode(): Promise<void>;
}
